coap_async_state_t Struct Reference
Asynchronous Messaging

`#include <async.h>`

Collaboration diagram for coap_async_state_t:
[legend]

## Data Fields

unsigned char | flags
| holds the flags to control behaviour More...
coap_tick_t | created
| Holds the internal time when the object was registered with a resource. More...
void * | appdata
| This field can be used to register opaque application data with the asynchronous state object. More...
unsigned short | message_id
| id of last message seen More...
coap_tid_t | id
| transaction id More...
struct coap_async_state_t * | next
| internally used for linking More...
coap_address_t | peer
| the peer to notify More...
size_t | tokenlen
| length of the token More...
unsigned char | token []
| the token to use in a response More...

## Detailed Description

Definition at line 31 of file async.h.

## Field Documentation

## appdata

void* coap_async_state_t::appdata

This field can be used to register opaque application data with the asynchronous state object.

Definition at line 45 of file async.h.

## created

coap_tick_t coap_async_state_t::created

Holds the internal time when the object was registered with a resource.

This field will be updated whenever coap_register_async() is called for a specific resource.

Definition at line 39 of file async.h.

## flags

unsigned char coap_async_state_t::flags

holds the flags to control behaviour

Definition at line 32 of file async.h.

## id

coap_tid_t coap_async_state_t::id

transaction id

Definition at line 47 of file async.h.

## message_id

unsigned short coap_async_state_t::message_id

id of last message seen

Definition at line 46 of file async.h.

## next

struct coap_async_state_t* coap_async_state_t::next

internally used for linking

Definition at line 48 of file async.h.

## peer

coap_address_t coap_async_state_t::peer

the peer to notify

Definition at line 49 of file async.h.

## token

unsigned char coap_async_state_t::token[]

the token to use in a response

Definition at line 51 of file async.h.

## tokenlen

size_t coap_async_state_t::tokenlen

length of the token

Definition at line 50 of file async.h.

The documentation for this struct was generated from the following file:

- async.h